using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IProjectService
    {

        [OperationContract]
        Task<IEnumerable<ProjectDto>> GetProjectsAsync(FilterDto filterDto);
        [OperationContract]
        Task<ProjectDto> GetProjectByIdAsync(int id);
        [OperationContract]
        Task CreateProjectAsync(ProjectDto userDto);
        [OperationContract]
        Task UpdateProjectAsync(ProjectDto userDto);
        [OperationContract]
        Task DeleteProjectAsync(int id);

    }

}
